#!/bin/sh

# Script to launch DbVisualizer by manually invoking Java

# Please note that it's *not* recommended to launch DbVisualizer
# with this script. Instead use the "dbvis" launcher on UNIX/Linux
# or the command "open DbVisualizer.app" on Mac OS X.

DBVIS_HOME=`dirname $0`
JAVA_EXEC=java

CP="$DBVIS_HOME/resources"
CP="$CP:$DBVIS_HOME/lib/dbvis.jar"
CP="$CP:$DBVIS_HOME/lib/yFiles.jar"
CP="$CP:$DBVIS_HOME/lib/commons-lang.jar"
CP="$CP:$DBVIS_HOME/lib/jcchart.jar"
CP="$CP:$DBVIS_HOME/lib/alloy.jar"
CP="$CP:$DBVIS_HOME/lib/log4j.jar"
CP="$CP:$DBVIS_HOME/lib/jdom.jar"
CP="$CP:$DBVIS_HOME/lib/openide-util.jar"
CP="$CP:$DBVIS_HOME/lib/nb-editor.jar"
CP="$CP:$DBVIS_HOME/lib/forms.jar"
CP="$CP:$DBVIS_HOME/lib/poi.jar"
CP="$CP:$DBVIS_HOME/lib/ognl.jar"
CP="$CP:$DBVIS_HOME/lib/jide.jar"
CP="$CP:$DBVIS_HOME/lib/jai-imageio.jar"

$JAVA_EXEC -Xmx256M -cp $CP -Ddbvis.home=$DBVIS_HOME com.onseven.dbvis.DbVisualizer $@
